Summary:	Cross Platform Password Manager
Name:		keepassx
Version:	0.4.4
Release:	%mkrel 1
Source0:	https://www.keepassx.org/releases/%{version}/keepassx-%{version}.tar.gz
Patch0:		keepassx-0.4.3-gcc47.patch
License:	GPLv2+
Group:		File tools
URL:		http://www.keepassx.org/

BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(QtCore)
BuildRequires:	pkgconfig(xtst)

Provides:	keepass = %{version}-%{release}
Provides:	KeePassX = %{version}-%{release}

%description
KeePassX is a free/open-source password manager or safe which helps
you to manage your passwords in a secure way. You can put all your
passwords in one database, which is locked with one master key or a
key-disk. So you only have to remember one single master password or
insert the key-disk to unlock the whole database. The databases are
encrypted using the best and most secure encryption algorithms
currently known (AES and Twofish).

%prep
%autosetup -p1

%build
%qmake_qt4 PREFIX=%{_prefix}
%make

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

install -D -m 644 share/keepassx/icons/keepassx_large.png \
	%{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -D -m 644 share/keepassx/icons/keepassx.png \
	%{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -D -m 644 share/keepassx/icons/keepassx_small.png \
	%{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# fix .desktop file
desktop-file-install --vendor="%{_real_vendor}" \
	--remove-key="X-SuSE-translate" \
	--delete-original \
	--dir=%{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc changelog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mimelnk/application/x-keepass.desktop


%changelog
* Sat Dec 12 2015 sander85 <sander85> 0.4.4-1.mga6
+ Revision: 909713
- New version: 0.4.4

* Wed Oct 15 2014 umeabot <umeabot> 0.4.3-8.mga5
+ Revision: 748218
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.3-7.mga5
+ Revision: 681032
- Mageia 5 Mass Rebuild

  + sander85 <sander85>
    - Convert to %%autosetup

* Fri Oct 18 2013 umeabot <umeabot> 0.4.3-6.mga4
+ Revision: 506615
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.3-5.mga3
+ Revision: 356118
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 0.4.3-4.mga3
+ Revision: 334885
- add missing BR 'pkgconfig(xtst)'
- clean .spec a bit

* Mon Jul 23 2012 sander85 <sander85> 0.4.3-3.mga3
+ Revision: 273690
- Fix build with gcc 4.7

  + anssi <anssi>
    - do not add System category in .desktop

* Wed Apr 27 2011 wally <wally> 0.4.3-2.mga1
+ Revision: 92069
- fix desktop file name (mga#954)

* Sun Apr 24 2011 sander85 <sander85> 0.4.3-1.mga1
+ Revision: 90127
- clean spec and remove unneeded buildrequires
- imported package keepassx

